@import url("https://fonts.googleapis.com/css2?family=Fraunces:opsz,wght@9..144,700&family=Montserrat:wght@100;500;700&family=Nunito+Sans:opsz,wght@6..12,200&display=swap");

/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

picture,
img {
  display: block;
}
img {
  width: 100%;
}

input,
button,
textarea {
  font: inherit;
}

body {
  font-family: "Montserrat", sans-serif;
  background-color: hsl(30, 38%, 92%);
  height: 100vh;
  place-content: center;
}

.container {
  margin: 20px auto;
  border-radius: 8px;
  display: flex;
  flex: 1;
  /* display: grid; */
  /* grid-template-columns: repeat(2, 1fr); */
  max-width: 600px;
  background-color: white;
  overflow: auto;
}

.container h1,
.sale-price {
  font-family: "Fraunces", serif;
}

.hero-img,
.container-text {
  flex: 1;
}

.hero-img img {
  display: block;
  object-fit: contain;
}

@media screen and (max-width: 600px) {
  .container {
    display: block;
    margin: 2rem 1rem;
    /* max-width: 21.4375rem; */
  }

  .hero-img {
    width: 100%;
  }
}

.container-text {
  padding: 2rem 2rem;
}

.category {
  text-transform: uppercase;
  letter-spacing: 0.5rem;
  color: #333333b5;
}

.title {
  font-size: 3.25rem;
  margin: 1rem 0;
  line-height: 1;
}

.lead-text {
  font-size: 1.5rem;
  color: #333333b5;
  line-height: 1.5;
  text-align: left;
}

.price {
  margin-top: 2rem;
  display: flex;
  align-items: center;
  gap: 1.5rem;
}

.sale-price {
  color: hsl(158, 36%, 37%);
  font-size: 4.5rem;
}

.original-price {
  font-size: 1.2rem;
  text-decoration: line-through;
  color: #333333b5;
}

.btn {
  background-color: hsl(158, 36%, 37%);
  color: white;
  width: 90%;
  margin: 2rem auto;
  padding: 1rem;
  border: none;
  font-size: 1.4rem;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
}

.btn:hover,
.btn:active {
  background-color: hsl(212, 21%, 14%);
}

.btn svg {
  width: 1.4rem;
  height: 1.4rem;
  stroke-width: 2.25;
}
